import "./tasks/suppa2.wdl" as suppa2
import "./tasks/fastp.wdl" as fastp

workflow {{ project_name }} {
    String sample_id
    File fastq1
    File fastq2
    File suppa2_database

    String suppa2_docker
    String suppa2_cluster
    String disk_size

    String fastp_docker
    String fastp_cluster
    String adapter_sequence
    String adapter_sequence_r2
    String umi_loc
    Int trim_front1
    Int trim_tail1
    Int max_len1
    Int trim_front2
    Int trim_tail2
    Int max_len2
    Int disable_adapter_trimming
    Int length_required
    Int umi_len
    Int UMI
    Int qualified_quality_phred
    Int length_required1
    Int disable_quality_filtering
    
        call fastp.fastp as fastp {
                input:
                read1=fastq1,
                read2=fastq2,
                sample_id=sample_id,
                docker=fastp_docker,
                cluster=fastp_cluster,
                disk_size=disk_size,
                adapter_sequence=adapter_sequence,
                adapter_sequence_r2=adapter_sequence_r2,
                umi_loc=umi_loc,
                trim_front1=trim_front1,
                trim_tail1=trim_tail1,
                max_len1=max_len1,
                trim_front2=trim_front2,
                trim_tail2=trim_tail2,
                max_len2=max_len2,
                disable_adapter_trimming=disable_adapter_trimming,
                length_required=length_required,
                umi_len=umi_len,
                UMI=UMI,
                qualified_quality_phred=qualified_quality_phred,
                length_required1=length_required1,
                disable_quality_filtering=disable_quality_filtering
        }







        call suppa2.suppa2 as suppa2 {
                input:	
                sample_id=sample_id,
                fastq1=fastp.Trim_R1,
                fastq2=fastp.Trim_R2,
                suppa2_database=suppa2_database,
                docker=suppa2_docker,
                cluster=suppa2_cluster,
                disk_size=disk_size

        }


}	
